| Home | Libraries | People | FAQ | More

##### basic_socket_acceptor::non_blocking (1 of 3 overloads)

Gets the non-blocking mode of the acceptor.

    bool non_blocking() const;

###### Return Value

`true` if the acceptor's synchronous operations will fail with `boost::asio::error::would_block` if they are unable to perform the requested operation immediately. If `false`, synchronous operations will block until complete.

###### Remarks

The non-blocking mode has no effect on the behaviour of asynchronous operations. Asynchronous operations will never fail with the error `boost::asio::error::would_block`.